import request from "@/utils/httpRequest";
import { REGISTER_PATH as prefix } from "../../AppPath";

export default {
	list: function (params) {
		return request({
			url: prefix + '/register/list',
			method: 'get',
			params: params
		})
	},
	list2: function (params) {
		return request({
			url: prefix + '/register/list2',
			method: 'get',
			params: params
		})
	},
	save (inputForm) {
		return request({
			url: prefix +  `/register/save`,
			method: 'post',
			data: inputForm
		})
	},
	updateInfo (inputForm) {
		return request({
			url: prefix +  `/register/updateInfo`,
			method: 'post',
			data: inputForm
		})
	},
	findById (id) {
		return request({
			url: prefix + '/register/findById',
			method: 'get',
			params: {id: id}
		})
	},
	updateStatusById (param) {
		return request({
			url: prefix + '/register/updateStatusById',
			method: 'post',
			data: param
		})
	},
	remove (id) {
		return request({
			url: prefix + '/register/remove',
			method: 'get',
			params: {id: id}
		})
	},
	findIdCardOnly (idCard) {
		return request({
			url: prefix + '/register/findIdCardOnly',
			method: 'get',
			params: {idCard: idCard}
		})
	},
}
